<Project Sdk="Microsoft.NET.Sdk">

	<Import Project="..\..\common.props" />

	<PropertyGroup>
		<TargetFramework>net9.0</TargetFramework>
		<Nullable>enable</Nullable>
		<RootNamespace>JiShe.CollectBus</RootNamespace>
		<GenerateEmbeddedFilesManifest>true</GenerateEmbeddedFilesManifest>
	</PropertyGroup>

	<ItemGroup>
		<PackageReference Include="Volo.Abp.Ddd.Domain.Shared" />
		<PackageReference Include="Volo.Abp.Validation"/>
	</ItemGroup>

	<ItemGroup>
		<PackageReference Include="Microsoft.Extensions.FileProviders.Embedded"/>
	</ItemGroup>

	<ItemGroup>
		<EmbeddedResource Include="Localization\CollectBus\*.json" />
		<Compile Remove="Caches\**" />
		<Content Remove="Localization\CollectBus\*.json" />
		<EmbeddedResource Remove="Caches\**" />
		<None Remove="Caches\**" />
	</ItemGroup>

	<ItemGroup>
		<None Remove="FodyWeavers.xml" />
		<None Remove="JiShe.CollectBus.Domain.Shared.abppkg" />
	</ItemGroup>


	<ItemGroup>
		<PackageReference Include="Volo.Abp.Ddd.Domain.Shared" />
		<PackageReference Include="JiShe.ServicePro.IoTDBManagement.Domain.Shared" />
	</ItemGroup>
	
	<ItemGroup>
		<ProjectReference Include="..\JiShe.CollectBus.Common\JiShe.CollectBus.Common.csproj" />
	</ItemGroup>

</Project>
